<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
      let  arr=[4,8,12,3,7,9,8,6];
      console.log(arr);
      let newArray=  arr.map((item,index,array)=>{
         if(item%2==0){
            item=item/2;
         }
         return item;
        })
        console.log(newArray);
    </script>



    <!-- <script>
       let arr= [2,4,6,8,10,12,14];
       console.log(arr);
     let newArr=  arr.map((item,index,array)=>{
         return item/2;
       });
       console.log(newArr);
    </script> -->



    <!-- <script>
        let arr=[20,90,77,88,55,50,40];
        arr.map((item.index,array)=>{
        arr.forEach((item,index,array)=>{
            if(array[item]%2==0)
            array[ite]
        })
        })
    </script> -->
</body>
</html>